EDIT - bug #7393

Fix regressions resulting from cascade removal from relationships in TaxEditor
04/30/2018 11:24 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: critical Found in Version:

Description

See #7392

At some places transient object exceptions are thrown.
Known issues:

* new misapplied name in name editor

e creating a new hybrid formula, e.g. Abies alba x Pinus beta with "new taxon"

¢ also when adding it e.g. as a synonym in the name editor an exception is thrown - but an NPE during caching, not a transient
object exception (see comment 1), however it is a regression to 4.14.1 and therefore maybe related to the cascade issue

Related issues:
Follows EDIT - bug #7392: Remove Cascade from relations Closed

Associated revisions

Revision b084af2b - 05/02/2018 02:00 PM - Katja Luther

ref #7393: fix regression for deleting cascading from relations

Revision 8f3c6043 - 05/14/2018 06:20 PM - Katja Luther

fix #7393: fix regression caused by removing cascading in relationships for new syn and concepts

Revision baace0b5 - 05/14/2018 07:53 PM - Katja Luther

fix #7393: fix saving of new hybrid names in bulk editor

History

#1 - 05/01/2018 12:35 AM - Andreas Miiller

- Description updated

#2 - 05/01/2018 12:36 AM - Andreas Mdiller

- Description updated

login : admin
editor version : 4.15.0.201804301448
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.ed4.core.di.InjectionException: java.lang.NullPointerException
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.e4.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90)
at org.eclipse.e4d.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. java:57)
at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)
at org.eclipse.ed.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)
at eu.etaxonomy.taxeditor.workbench.SaveHandler.savePart (SaveHandler. java:58)
at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:30)
at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
https://dev.e-taxonomy.eu/redmine/issues/7392
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed4.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
org.eclipse.e4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:132)
org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)
org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)
org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)
org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl. java:210)
org.eclipse.ed4.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContributionItem. j

ava:433)

at

org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri

butionItem. java:454)

at

org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt

em. java:482)
at

org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher. java:104)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run (Main. java:1519)

by: java.lang.NullPointerException
eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getTaggedName (TaxonNameDefaultCacheS

trategy.java:450)

at

eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getTaggedName (TaxonNameDefaultCacheS

trategy.java:468)

at
at
at

eu.etaxonomy.cdm.strategy.cache.name.NameCacheStrategyBase.getNameCache (NameCacheStrategyBase. java:126)
eu.etaxonomy.cdm.model.name.TaxonName.generateNameCache (TaxonName. java:1925)
eu.etaxonomy.cdm.model.name.TaxonName.getNameCache (TaxonName. java:1947)
eu.etaxonomy.cdm.persistence.hibernate.CdmPreDataChangelistener.generateCaches (CdmPreDataChangelistener

.java:119)
at
eu.etaxonomy.cdm.persistence.hibernate.CacheStrategyGenerator.saveOrUpdateOrMerge (CacheStrategyGenerato
48)
eu.etaxonomy.cdm.persistence.hibernate.CacheStrategyGenerator.onSaveOrUpdate (CacheStrategyGenerator. jav

org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)
org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)
org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)
org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade.java:398)
org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)
org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)
org.hibernate.event.internal.AbstractFlushingEventListener.cascadeOnFlush (AbstractFlushingEventListener

.Java:150)

at

stener.

at

org.hibernate.event.internal.AbstractFlushingEventListener.prepareEntityFlushes (AbstractFlushingEventLi
java:141)
org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExecutions (AbstractFlushing

EventListener. java:74)

at
at
at
at
at

org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. java:38)
org.hibernate.internal.SessionImpl.flush(SessionImpl.java:1282)
org.hibernate.internal.SessionImpl.managedFlush (SessionImpl. java:465)
org.hibernate.internal.SessionImpl.flushBeforeTransactionCompletion (SessionImpl. java:2963)
org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:2339)
at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoordinatorImpl.
java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinatorImpl.be
foreCompletionCallback (JdbcResourceLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinatorImpl.ac
cess$100 (JdbcResourcelocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinatorImplS$Tr
ansactionDriverControlImpl.commit (JdbcResourcelocalTransactionCoordinatorImpl. java:231)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactionManager. jav
a:581)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (AbstractPlatfo
rmTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractPlatformTrans
actionManager.java:730)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterReturning (Tr
ansactionAspectSupport.java:485)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction (Transactio
nAspectSupport. java:291)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterceptor. java:9
6)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl817.merge (Unknown Source)

at sun.reflect.GeneratedMethodAccessor2003.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMethodInvocation
.java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:15
7)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocationTracelnter
ceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.$Proxy2131l.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelInvocationExec
utor.java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationBasedExporter
.Java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (RemoteInvocati
onBasedExporter. java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvokerServiceExp
orter.java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdapter. java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet.java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet. java:790)

at org.eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxys$VirtualFilterChain.doFilter (FilterChainProxy.java:316

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSecurityInterc
eptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (FilterSecurityInte
rceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTranslationFilter.
Java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagementFilter. java:
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:

security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter. java:
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.

security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFilter.
web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
1 (WebAsyncManagerIntegrationFilter. java:53)
server
server.
server.
server

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

security.web.FilterChainProxy.doFilterInternal (FilterChainProxy.java:213)
security.web.FilterChainProxy.doFilter (FilterChainProxy. java:176)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.java:346)
web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:262)

springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:107)
servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
servlet.ServletHandler.doHandle (ServletHandler. java:585)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:577)
server.session.SessionHandler.doHandle (SessionHandler. java:223)

.handler.ContextHandler.doScope (ContextHandler. java:1061)
handler.ScopedHandler.handle (ScopedHandler. java:141)

120)

handler.ContextHandlerCollection.handle (ContextHandlerCollection. java:215)

.handler.HandlerWrapper.handle (HandlerWrapper. java:97)
.Server.handle (Server. java:497)

HttpChannel.handle (HttpChannel. java:310)

.HttpConnection.onFillable (HttpConnection. java:257)
io.AbstractConnection$2.run (AbstractConnection. java:540)
util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

java.lang.Thread.run (Thread. java:748)
.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible (RemoteInvoc

org

ationUtils

at
at

org
org

.java:45)

java:

java:

java:

FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy. java:330
servletapi.SecurityContextHolderAwareRequestFilter.doFilter (SecurityCo
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
savedrequest .RequestCacheAwareFilter.doFilter (RequestCacheAwareFilter.
FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

authentication.www.BasicAuthenticationFilter.doFilterInternal (BasicAut

330

330

64)

330

.context.SecurityContextPersistenceFilter.doFilter (SecurityContextPersi
.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInterna

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult.java:149)
.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemotelInvocationResult (Remot

eInvocationBasedAccessor. java:85)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

9)
at
at
at
at
at
at
at

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

com.sun.proxy.$Proxy51.merge (Unknown Source)

eu.etaxonomy.taxeditor.editor.e4.TaxonEditorInputE4.merge (TaxonEditorInputE4. java:320)
eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4.save (TaxonNameEditorE4. java:393)

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.e4d.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
49 more

#3 - 05/01/2018 12:41 AM - Andreas Miiller

- Description updated

#4 - 05/02/2018 10:37 AM - Andreas Miiller

- Related to bug #7392: Remove Cascade from relations added

#5 - 05/02/2018 10:38 AM - Andreas Miiller
- Related to deleted (bug #7392: Remove Cascade from relations)

#6 - 05/02/2018 10:38 AM - Andreas Miiller
- Due date set to 05/01/2018
- Start date changed from 04/30/2018 to 05/01/2018

- Follows bug #7392: Remove Cascade from relations added

#7 - 05/02/2018 10:39 AM - Andreas Miiller
- Due date deleted (05/01/2018)

#8 - 05/02/2018 02:07 PM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
- Start date changed from 05/01/2018 to 05/02/2018

- % Done changed from 0 to 70

adding synonyms and misapplications is working now, also the creation of hybrids.

#9 - 05/06/2018 01:31 PM - Andreas Miller

When adding Abies alba x Pinus beta as a child of "Abies alba in rem_conf_am" | got the following NPE during save:

login : admin
editor version : 4.15.0.201805052246
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.ui.section.classification.TaxonNodeWizardPage.createTaxon (TaxonNodeWizardPage. ja
va:145)
at eu.etaxonomy.taxeditor.newWizard.NewTaxonNodeWizard.saveEntity (NewTaxonNodeWizard. java:58)
at eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard.performFinish (AbstractNewEntityWizard. java:54)
at org.eclipse. jface.wizard.WizardDialog.finishPressed (WizardDialog.java:790)
at org.eclipse.jface.wizard.WizardDialog.buttonPressed (WizardDialog. java:423)
at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog. java:618)
at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)
at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
at org.eclipse. jface.window.Window.runEventLoop (Window. java:818)
at org.eclipse. jface.window.Window.open (Window. java:794)
at eu.etaxonomy.taxeditor.navigation.navigator.e4.handler.NewTaxonNodeHandlerE4.execute (NewTaxonNodeHandle
rE4.java:55)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed4.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)
at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)
at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)

at org.eclipse.e4d.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServicelImpl. java:210)
at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContributionItem. j

ava:433)

at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri

butionItem. java:454)

at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt

em. java:482)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)

at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

#10 - 05/06/2018 01:34 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

Also adding a synonym called "Abies alba x Pinus beta" to Abies alba still creates the NPE in comment 1.

#11 - 05/14/2018 06:22 PM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 70 to 50

Applied in changeset taxeditor|8f3c6043dd46be77086e2da1243727{3230ea065.

#12 - 05/14/2018 07:49 PM - Katja Luther

- Status changed from Resolved to In Progress

#13 - 05/14/2018 07:54 PM - Katja Luther

- Status changed from In Progress to Resolved

Applied in changeset taxeditor|baace0b5bcb7eal3c8c3532fe4f29¢38b227¢6302.

#14 - 05/16/2018 10:37 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review, please also check in bulk editors

#15 - 05/18/2018 11:43 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/baace0b5bcb7ea3c8c3532fe4f29c38b227c6302

- % Done changed from 50 to 100

Seems to work for me. | tested in name editor and bulk editor with new and existing taxa/names and got no exceptions at all.

Only search for hybrid names did not work in bulk editor, but this is another issue.
